/*
 * dctpLprocessApi.h -- DCCP-TP Lprocess port API definitions
 *
 * Copyright (C) 2008 Tom Phelan
 *
 * This file is part of dccp-tp.
 *
 * Dccp-tp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * Dccp-tp is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with dccp-tp.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Documentation and source code for dccp-tp is available at
 * http://www.phelan-4.com/dccp-tp/.
 */

#ifndef _DCTPLPROCESSAPI_H_
#define _DCTPLPROCESSAPI_H_

#include "dctpCore.h"

#define DCTPLP_SOCKRAW    1
#define DCTPLP_SOCKNAT    2

int dctpMkSocket(int domain, int type, char *scodetxt);
int dctpClose(int sd);
int dctpBind(int sd, dctpSockaddr *addr);
int dctpListen(int sd, int backlog);
int dctpAccept(int sd, dctpSockaddr *addr);
int dctpConnect(int sd, dctpSockaddr *addr, void *buf, int blen);
int dctpSend(int sd, void *msg, int mlen);
int dctpRecv(int sd, void *buf, int blen);
int dctpSetSockopt(int sd, int optname, void *optval, int optlen, int mandatory);

#endif  /* _DCTPLPROCESSAPI_H_ */
