/*
 * Platform-specific types for DCCP-TP
 *
 * Copyright (C) 2008 Tom Phelan
 *
 * This file is part of dccp-tp.
 *
 * Dccp-tp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * Dccp-tp is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with dccp-tp.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Documentation and source code for dccp-tp is available at
 * http://www.phelan-4.com/dccp-tp/.
 */

#ifndef _DCTPSUPPORTTYPES_H_
#define _DCTPSUPPORTTYPES_H_

#include <stdint.h>
#include <pthread.h>

#define dctpSupportMutex_t   pthread_mutex_t
#define dctpSupportCond_t    pthread_cond_t
#ifdef DEBUG
#define DCTP_OBJECTLOCKINIT  PTHREAD_MUTEX_INITIALIZER /*PTHREAD_ERRORCHECK_MUTEX_INITIALIZER_NP*/
#else
#define DCTP_OBJECTLOCKINIT  PTHREAD_MUTEX_INITIALIZER
#endif

#define DCTPSOCK_MAXBACKLOG  128

#endif  /* _DCTPSUPPORTTYPES_H_ */
